POST api/sticker/upsert

Request Information

URI Parameters

None.

Body Parameters

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "56b09b14-9d1c-4f57-84df-fb39897e6c10",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "2c2bd886-5f49-4737-ae2c-fa9e749d36b3",
      "contractItem_ID": "49db4c8e-7802-4c07-8498-8e43e0bbaa3f",
      "departement_ID": "9c3dd696-996a-4baa-98c0-580ac1dd3fdc",
      "departmentItem_ID": "f702941f-24ef-4273-b39e-f211125e8d2d",
      "iD": "35e7d58c-5554-48ff-9aca-dfecb7dd3e10",
      "site_ID": "ec0c7c5f-a051-4f4e-a0e7-6b564ee18d03",
      "siteCustomer_ID": "86066cc2-3f22-4af7-8d61-f97036286619",
      "sticker_ID": "d0a2aec3-44be-44a7-b72e-36927d99826f",
      "garment_ID": "fd72adea-7a6e-48f8-8b17-061c3f12836f"
    },
    {
      "active": true,
      "contract_ID": "2c2bd886-5f49-4737-ae2c-fa9e749d36b3",
      "contractItem_ID": "49db4c8e-7802-4c07-8498-8e43e0bbaa3f",
      "departement_ID": "9c3dd696-996a-4baa-98c0-580ac1dd3fdc",
      "departmentItem_ID": "f702941f-24ef-4273-b39e-f211125e8d2d",
      "iD": "35e7d58c-5554-48ff-9aca-dfecb7dd3e10",
      "site_ID": "ec0c7c5f-a051-4f4e-a0e7-6b564ee18d03",
      "siteCustomer_ID": "86066cc2-3f22-4af7-8d61-f97036286619",
      "sticker_ID": "d0a2aec3-44be-44a7-b72e-36927d99826f",
      "garment_ID": "fd72adea-7a6e-48f8-8b17-061c3f12836f"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "58f1e79f-2b97-4605-967a-e59243389346",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "1073cb10-65eb-44a0-b591-36f48533e276",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "17f6fbd5-f18c-4e91-812a-3d60d347ea6a",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "deeed66c-8d75-481e-85cd-1b1b47abfd76",
      "stickerField_ID": "35831925-3f84-4596-9c69-ed8b412511c6",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "58f1e79f-2b97-4605-967a-e59243389346",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "1073cb10-65eb-44a0-b591-36f48533e276",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "17f6fbd5-f18c-4e91-812a-3d60d347ea6a",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "deeed66c-8d75-481e-85cd-1b1b47abfd76",
      "stickerField_ID": "35831925-3f84-4596-9c69-ed8b412511c6",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "b8e2068f-567b-4548-a526-b1813296e60a",
  "stickerType_ID": "7ce44871-cc46-43e3-bc89-e69ab8b2659e",
  "stickerRelation_IDs": [
    "d8c92e78-4605-4731-b4d4-0f7cadccd528",
    "4db6b410-f0cf-449b-8ba0-7aaa40b5ab43"
  ],
  "site_ID": "32ac20fa-3090-4964-9826-f6c878504e04"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"dd384845-ce4d-4477-afc8-81eb0b658d1d"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">dd384845-ce4d-4477-afc8-81eb0b658d1d</guid>